#include <glpy.h>
#include <pybind11/stl.h>
#include <GL/glew.h>
#include <GLFW/glfw3.h>
#include <iostream>

int tests::glfw_black_window(unsigned width,unsigned height,std::string title)
{
    GLFWwindow* window;

    /* Initialize the library */
    if (!glfwInit())
        return -1;

    /* Create a windowed mode window and its OpenGL context */
    window = glfwCreateWindow(width, height, title.c_str(), NULL, NULL);
    if (!window)
    {
        glfwTerminate();
        return -1;
    }

    /* Make the window's context current */
    glfwMakeContextCurrent(window);

    std::cout<<"-- OPEN_GL_VERSION: "<<glGetString(GL_VERSION)<<std::endl;

    // float positions[6] = {
    //     -0.5f,-0.5f,
    //      0.0f, 0.5f,
    //      0.5f,-0.5f,
    // };

    // unsigned int buffer;
    // glGenBuffers(1,&buffer);
    // glBindBuffer(GL_ARRAY_BUFFER,buffer);
    // glBufferData(GL_ARRAY_BUFFER,6 * sizeof(float),positions,GL_STATIC_DRAW);

    // glEnableVertexAttribArray(0);
    // glVertexAttribPointer(0,2,GL_FLOAT,GL_FALSE,2*sizeof(float),0);

    // glBindBuffer(GL_ARRAY_BUFFER,0);

    /* Loop until the user closes the window */
    while (!glfwWindowShouldClose(window))
    {
        /* Render here */
        // glClear(GL_COLOR_BUFFER_BIT);

        //create a triangle
        // glDrawArrays(GL_TRIANGLES,0, 3);
        // glBegin(GL_TRIANGLES);
        // glVertex2f(-0.5f,-0.5f);
        // glVertex2f(0.0f,0.5f  );
        // glVertex2f(0.5f,-0.5f);
        // glEnd();

        /* Swap front and back buffers */
        glfwSwapBuffers(window);

        /* Poll for and process events */
        glfwPollEvents();
    }

    glfwTerminate();
    return 0;
}